Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.beans.common
Interface T3BeanTransportDef

public interface T3BeanTransportDef

Interface for T3Bean event communications.

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `bind(boolean implementation)` Sends a bind message to the T3Server.
`java.lang.Object` | `getMethodResult(int invocationID)` Retrieves the result of an invocation, given the queue the result will appear on.
`void` | `migrationComplete()` Completes the transporting of the T3Bean.
`void` | `putMethodResult(T3BeanMsg jm)` Sends the result to the invoker.
`void` | `register(int topic)` Uses the underlying bidirectional asynchronous communication layer to register for an event.
`void` | `sendEvent(T3BeanMsg jm)` Sends an event representing a JavaBean event.
`int` | `sendMethodInvokeEvent(T3BeanMsg jm)` Sends an event regarding a method invocation and returns an invocation ID that can be used to get the result.
`void` | `sendMethodResultEvent(T3BeanMsg jm)` Sends an event representing the result of an invocation.
`void` | `sendParameterEvent(T3BeanMsg jm)` Sends an event representing a parameter change.
`void` | `unbind(boolean implementation)` Sends an unbind message to the T3Server.
`void` | `unregister(int topic)` Unregisters the specified topic from the event service.

Method Detail

### register

    public void register(int topic)

  Uses the underlying bidirectional asynchronous communication layer to register for an event.

  Parameters:
    `topic` - Topic ID of the registration

### unregister

    public void unregister(int topic)

  Unregisters the specified topic from the event service.

  Parameters:
    `topic` - Topic ID of the registration

### sendParameterEvent

    public void sendParameterEvent(T3BeanMsg jm)

  Sends an event representing a parameter change. The event layer must pass the T3BeanMsg to the target.

  Parameters:
    `jm` - Message to be encapsulated in the event

### sendMethodInvokeEvent

    public int sendMethodInvokeEvent(T3BeanMsg jm)

  Sends an event regarding a method invocation and returns an invocation ID that can be used to get the result.

  Parameters:
    `jm` - Message to be encapsulated in the event.
  Returns:
    Invocation ID used for future lookups

### getMethodResult

    public java.lang.Object getMethodResult(int invocationID)
                                     throws java.lang.Exception

  Retrieves the result of an invocation, given the queue the result will appear on. Throws any exception that is transmitted with the result.

  Parameters:
    `queue` - the queue where the result will appear.
  Throws:
    java.lang.Exception - Methods can throw arbitrary exceptions

### putMethodResult

    public void putMethodResult(T3BeanMsg jm)

  Sends the result to the invoker.

  Parameters:
    `invocationID` - the ID of the invoker
    `jm` - the message containing the result

### sendMethodResultEvent

    public void sendMethodResultEvent(T3BeanMsg jm)

  Sends an event representing the result of an invocation.

  Parameters:
    `jm` - the message containing the result or exception.

### sendEvent

    public void sendEvent(T3BeanMsg jm)

  Sends an event representing a JavaBean event.

  Parameters:
    `jm` - the message representing the event.

### bind

    public void bind(boolean implementation)

  Sends a bind message to the T3Server.

  Parameters:
    `implementation` - True if this is to be the implementation

### unbind

    public void unbind(boolean implementation)

  Sends an unbind message to the T3Server.

  Parameters:
    `implementation` - True if this is to be the implementation

### migrationComplete

    public void migrationComplete()

  Completes the transporting of the T3Bean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD